gpu:
  1:
    name: ARM Mali-400 MP2
    clock_rate: 500
  2:
    name: ARM Mali-T720 MP
    clock_rate: 650
  3:
    name: ARM Mali-450 MP4
    clock_rate: 700
  4:
    name: PowerVR GE8100
    clock_rate: 570
  5:
    name: ARM Mali-T720 MP2
    clock_rate: 650 # 600
  6:
    name: Qualcomm Adreno 304
    clock_rate: 400
  7:
    name: PowerVR SGX544  #PowerVR SGX544 MP clock_rate 286
    clock_rate: 384
  8:
    name: PowerVR SGX540
    clock_rate: 200
  9:
    name: Qualcomm Adreno 225
    clock_rate: 400
  10:
    name: Qualcomm Adreno 320
    clock_rate: 400
  11:
    name: Qualcomm Adreno 330
    clock_rate: 450
  12:
    name: Qualcomm Adreno 305
    clock_rate: 450
  13:
    name: PowerVR G6430
    clock_rate: 457
  14:
    name: Qualcomm Adreno 306
    clock_rate: 450
  15:
    name: PowerVR SGX544MP2
    clock_rate: 400
  16:
    name: Qualcomm Adreno 508
    clock_rate: 650
  17:
    name: Qualcomm Adreno 308
    clock_rate: 450
  18:
    name: Qualcomm Adreno 405
    clock_rate: 550
  19:
    name: Qualcomm Adreno 540
    clock_rate: 710
  20:
    name: ARM Mali-G51 MP4
    clock_rate: 650
  21:
    name: ARM Mali-T628 MP4
    clock_rate: 600
  22:
    name: Qualcomm Adreno 200
    clock_rate: 128
  23:
    name: Qualcomm Adreno 302
    clock_rate: 400
  24:
    name: Qualcomm Adreno 505
    clock_rate: 450
  25:
    name: PowerVR GE8320
    clock_rate: 650
  26:
    name: ARM Mali-T860 MP2
    clock_rate: 650
  27:
    name: ARM Mali-T830 MP2
    clock_rate: 600
  28:
    name: ARM Mali-G57 MP5
    clock_rate: 850
  29:
    name: Qualcomm Adreno 205
    clock_rate: 245
  30:
    name: ARM Mali-G72 MP12
    clock_rate: 850
  31:
    name: Vivante GC4000
    clock_rate: 480
  32:
    name: ARM Mali-G76 MP10
    clock_rate: 720
  33:
    name: ARM Mali-G77 MP8
    clock_rate: 800
  34:
    name: ARM Mali-G76 MP16
    clock_rate: 700
  35:
    name: ARM Mali-G57 MP6
    clock_rate: 700
  36:
    name: ARM Mali-G52 MP6
    clock_rate: 700
  37:
    name: ARM Mali-T760 MP2
    clock_rate: 700
  38:
    name: Qualcomm Adreno 512
    clock_rate: 850
  39:
    name: Qualcomm Adreno 616
    clock_rate: 850
  40:
    name: ARM Mali-G71 MP2
    clock_rate: 770
  41:
    name: Qualcomm Adreno 506
    clock_rate: 650
  42:
    name: ARM Mali-G76 MP12
    clock_rate: 700
  43:
    name: ARM Mali-T628 MP6
    clock_rate: 600
  44:
    name: ARM Mali-400 MP4
    clock_rate: 250
  45:
    name: ARM Mali-T760 MP4
    clock_rate: 600
  46:
    name: ARM Mali-T820 MP1
    clock_rate: 600
  47:
    name: PowerVR G6200
    clock_rate: 700
  48:
    name: PowerVR SGX531
    clock_rate: 200
  49:
    name: AMD Radeon R5
    clock_rate: 850
  50:
    name: Qualcomm Adreno 430
    clock_rate: 650
  51:
    name: ARM Mali-G72 MP3
    clock_rate: 850
  52:
    name: PowerVR GX6250
    clock_rate: 700
  53:
    name: ARM Mali-G52 MP1
    clock_rate: 800
  54:
    name: PowerVR GX6650
    clock_rate: 450
  55:
    name: PowerVR GE8322
    clock_rate:
  56:
    name: Qualcomm Adreno 203
    clock_rate: 245
  57:
    name: Qualcomm Adreno 510
    clock_rate: 680
  58:
    name: ARM Mali-T860 MP4
    clock_rate: 700
  59:
    name: ARM Mali-T720 MP4
    clock_rate: 600
  60:
    name: PowerVR GX6450
    clock_rate: 450
  61:
    name: PowerVR SGX544MP2
    clock_rate: 400
  62:
    name: ARM Mali-400 MP
    clock_rate: 416
  63:
    name: Intel HD Graphics (Bay Trail)
    clock_rate: 311
  64:
    name: Qualcomm Adreno 320
    clock_rate: 400
  65:
    name: Qualcomm Adreno 330
    clock_rate: 578
  66:
    name: Qualcomm Adreno 225
    clock_rate: 400
  67:
    name: Qualcomm Adreno 650
    clock_rate: 650
  68:
    name: PowerVR SGX545
    clock_rate: 533
  69:
    name: Intel HD Graphics 4000
    clock_rate: 1050
  70:
    name: Intel HD Graphics (Bay Trail)
    clock_rate: 667
  71:
    name: Qualcomm Adreno 418
    clock_rate: 600
  72:
    name: Intel HD Graphics (Cherry Trail)
    clock_rate: 600
  73:
    name: Qualcomm Adreno 504
    clock_rate: 450
  74:
    name: Qualcomm Adreno 530
    clock_rate: 624
  75:
    name: ARM Mali-T880 MP2
    clock_rate: 900
  76:
    name: PowerVR GE8300
    clock_rate: 660
  77:
    name: Vivante GC800
    clock_rate: 575
  78:
    name: PowerVR SGX543MP4
    clock_rate: 0
  79:
    name: PowerVR SGX543MP2
    clock_rate: 0
  80:
    name: ARM Mali-T880 MP4
    clock_rate: 600
  81:
    name: Qualcomm Adreno 640
    clock_rate: 700
  82:
    name: Qualcomm Adreno 630
    clock_rate: 650
  83:
    name: ARM Mali-G52 MC2
    clock_rate: 850
  84:
    name: Vivante GC1000
    clock_rate: 600
  85:
    name: Qualcomm Adreno 220
    clock_rate: 266
  86:
    name: Intel HD Graphics 515
    clock_rate: 850
  87:
    name: Qualcomm Adreno 509
    clock_rate: 0
  88:
    name: PowerVR SGX544MP2
    clock_rate: 533
  89:
    name: ARM Mali-G71 MP8
    clock_rate: 900
  90:
    name: ARM Mali-G72 MP18
    clock_rate: 850
  91:
    name: Qualcomm Adreno 620
    clock_rate: 670
  92:
    name: Qualcomm Adreno 610
    clock_rate: 670
  93:
    name: ARM Mali-G77 MP11
    clock_rate: 0
  94:
    name: ARM Mali-T830 MP3
    clock_rate: 600
  95:
    name: Qualcomm Adreno 612
    clock_rate: 0
  96:
    name: Qualcomm Adreno 618
    clock_rate: 500
  97:
    name: ARM Mali-G76 MP5
    clock_rate: 720
  98:
    name: ARM Mali-T760 MP8
    clock_rate: 772
  99:
    name: ARM Mali-G78 MP14
    clock_rate: 759
  100:
    name: ARM Mali-T880 MP12
    clock_rate: 650
  101:
    name: ARM Mali-G71 MP20
    clock_rate: 900
  102:
    name: ARM Mali-G57 MP3
    clock_rate: 0
  103:
    name: Qualcomm Adreno 619
    clock_rate: 0
  104:
    name: Qualcomm Adreno 420
    clock_rate: 600
  105:
    name: ARM Mali-G77 MP9
    clock_rate: 0
  106:
    name: ARM Mali-G57 MC5
    clock_rate: 900
  107:
    name: ARM Mali-G78 MP10
    clock_rate: 0
  108:
    name: ARM Mali-G57 MP2
    clock_rate: 1068
  109:
    name: Qualcomm Adreno 660
    clock_rate: 0
  110:
    name: ARM Mali-G77 MC9
    clock_rate: 850
  111:
    name: ARM Mali-450 MP
    clock_rate: 0
  112:
    name: ARM Mali-G76 MP4
    clock_rate: 900
  113:
    name: ARM Mali-G52 MC2
    clock_rate: 950
  114:
    name: PowerVR GM9446
    clock_rate: 970
  115:
    name: ARM Mali-G57 MC2
    clock_rate: 850
  116:
    name: ARM Mali-G57 MP1
    clock_rate: 650
  117:
    name: Qualcomm Adreno 730
    clock_rate: 900
  118:
    name: Qualcomm Adreno 642L
    clock_rate: 0
  119:
    name: ARM Mali-G710 MP10
    clock_rate: 0
  120:
    name: ARM Mali-G76 MC4
    clock_rate: 900
  121:
    name: ARM Mali-G68 MP4
    clock_rate: 950
  122:
    name: Qualcomm Adreno 644
    clock_rate: 0
  123:
    name: ARM Mali-G610 MC6
    clock_rate: 0
  124:
    name: ARM Mali-G720 MP12
    clock_rate: 0
  125:
    name: ARM Mali-G715 MP11
    clock_rate: 0
  126:
    name: Qualcomm Adreno 740
    clock_rate: 0
  127:
    name: Qualcomm Adreno 750
    clock_rate: 0
